Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: ftp

Tunables Interfaces

### Description:

File transfer protocol service.

### Tunables:

allow_ftpd_anon_write

##### Default value

false

##### Description

Determine whether ftpd can modify public files used for public file transfer services. Directories/Files must be labeled public_content_rw_t.

allow_ftpd_full_access

##### Default value

false

##### Description

Determine whether ftpd can login to local users and can read and write all files on the system, governed by DAC.

allow_ftpd_use_cifs

##### Default value

false

##### Description

Determine whether ftpd can use CIFS used for public file transfer services.

allow_ftpd_use_nfs

##### Default value

false

##### Description

Determine whether ftpd can use NFS used for public file transfer services.

ftp_home_dir

##### Default value

false

##### Description

Determine whether ftpd can read and write files in user home directories.

ftpd_connect_all_unreserved

##### Default value

false

##### Description

Determine whether ftpd can connect to all unreserved ports.

ftpd_connect_db

##### Default value

false

##### Description

Determine whether ftpd can connect to databases over the TCP network.

ftpd_use_passive_mode

##### Default value

false

##### Description

Determine whether ftpd can bind to all unreserved ports for passive mode.

sftpd_anon_write

##### Default value

false

##### Description

Determine whether sftpd can modify public files used for public file transfer services. Directories/Files must be labeled public_content_rw_t.

sftpd_enable_homedirs

##### Default value

false

##### Description

Determine whether sftpd-can read and write files in user home directories.

sftpd_full_access

##### Default value

false

##### Description

Determine whether sftpd-can login to local users and read and write all files on the system, governed by DAC.

sftpd_write_ssh_home

##### Default value

false

##### Description

Determine whether sftpd can read and write files in user ssh home directories.

Return

### Interfaces:

ftp_admin( domain , role )

##### Summary

All of the rules required to administrate an ftp environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

ftp_check_exec( domain )

##### Summary

Execute FTP daemon entry point programs.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ftp_domtrans_ftpdctl( domain )

##### Summary

Execute the ftpdctl in the ftpdctl domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

ftp_dyntrans_anon_sftpd( domain )

##### Summary

Execute a dyntransition to run anon sftpd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

ftp_dyntrans_sftpd( domain )

##### Summary

Execute a dyntransition to run sftpd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

ftp_read_config( domain )

##### Summary

Read ftpd configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ftp_read_log( domain )

##### Summary

Read ftpd log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ftp_run_ftpdctl( domain , role )

##### Summary

Execute the ftpdctl in the ftpdctl domain, and allow the specified role the ftpctl domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

ftp_tcp_connect( domain )

##### Summary

Connect to over ftpd over TCP. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return